org.modeshape.common

## Class SystemFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.modeshape.common.SystemFailureException

- All Implemented Interfaces:
    Serializable

      public class SystemFailureException
      extends RuntimeException

  A generic `runtime exception` representing a catastrophic and/or unrecoverable failure of the system.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemFailureException()` Construct a system failure exception with no message.
    `SystemFailureException(String message)` Construct a system failure exception with a single message.
    `SystemFailureException(String message, Throwable cause)` Construct a system failure exception with a single message and another exception that is the cause of the failure.
    `SystemFailureException(Throwable cause)` Construct a system failure exception with another exception that is the cause of the failure.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemFailureException

          public SystemFailureException()

      Construct a system failure exception with no message.

    - #### SystemFailureException

          public SystemFailureException(String message)

      Construct a system failure exception with a single message.
      Parameters:
        `message` - the message describing the failure

    - #### SystemFailureException

          public SystemFailureException(Throwable cause)

      Construct a system failure exception with another exception that is the cause of the failure.
      Parameters:
        `cause` - the original cause of the failure

    - #### SystemFailureException

          public SystemFailureException(String message,
                                Throwable cause)

      Construct a system failure exception with a single message and another exception that is the cause of the failure.
      Parameters:
        `message` - the message describing the failure
        `cause` - the original cause of the failure

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.